%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name six

Name: python%{python_suffix}-%{pypi_name}
Version: 1.16.0
Release: 2
License: MIT
Summary: Python 2 and 3 compatibility utilities
Url: https://pypi.python.org/pypi/six

Source0: https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip

%description
Python 2 and 3 compatibility utilities

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-py2.py3-none-any.whl

%files
%defattr(-, qsys, *none)

%{python_sitelib}/__pycache__/*.pyc
%{python_sitelib}/six*

%changelog
* Wed Jul 07 2021 Kevin Adler <kadler@us.ibm.com> - 1.16.0
- Update to 1.16.0

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 1.10.0
- Port to Python 3.9
- Use macros from python-rpm-macros

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Remove -I and --no-deps from install cmd to ensure package deps set correctly

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Initial package
